---
lang: en
title: 'API docs: security.typedprincipal'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.typedprincipal.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [TypedPrincipal](./security.typedprincipal.md)

## TypedPrincipal class

<b>Signature:</b>

```typescript
export declare class TypedPrincipal implements Principal 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(principal, type)](./security.typedprincipal._constructor_.md) |  | Constructs a new instance of the <code>TypedPrincipal</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\[securityId\]](./security.typedprincipal._securityid_.md) |  | <code>string</code> |  |
|  [principal](./security.typedprincipal.principal.md) |  | <code>Principal</code> |  |
|  [type](./security.typedprincipal.type.md) |  | <code>string</code> |  |


